Subject: Re: linux-next: Tree for April 14 (Call-traces: RCU/ACPI/WQ related?)

From: "Paul E. McKenney" <[email-masked]>
Date: Thu, 14 Apr 2011 15:44:11 -0700

On Fri, Apr 15, 2011 at 12:19:34AM +0200, Sedat Dilek wrote:
> On Thu, Apr 14, 2011 at 12:19 PM, Sedat Dilek
> <[email-masked]> wrote:
> > On Thu, Apr 14, 2011 at 11:16 AM, Sedat Dilek
> > <[email-masked]> wrote:
> >> [ Adding CC to RCU maintainer (Hi Paul :-)) ]
> >>
> >> Helping me for now with (see also Documentation/RCU/stallwarn.txt):
> >>
> >> # cat /sys/module/rcutree/parameters/rcu_cpu_stall_suppress
> >> 0
> >>
> >> # echo "1" > /sys/module/rcutree/parameters/rcu_cpu_stall_suppress
> >>
> >> # cat /sys/module/rcutree/parameters/rcu_cpu_stall_suppress
> >> 1
> >>
> >> - Sedat -
> >>
> >
> > That workaround helped till a system-freeze when generating a tarball
> > from my current kernel-tree.
> > I switched back to my yesterday's linux-next kernel.
> >
> > - Sedat -
> >
> 
> I isolated the culprit so far:
> 
> commit 900507fc62d5ba0164c07878dbc36ac97866a858
> "rcu: move TREE_RCU from softirq to kthread"
> 
> With this revert my system does not show the symptoms I have reported.

Hmmm...  I never was able to reproduce this, but did find a workload
that slowed up the grace periods.  I fixed that (which turned out to
be a wakeup problem), but my hopes that it would also fix your problem
were clearly unfounded.  I have once again stopped exporting this commit
to -next.

							Thanx, Paul

> - Sedat -
> 
> >> On Thu, Apr 14, 2011 at 10:59 AM, Sedat Dilek
> >> <[email-masked]> wrote:
> >>> On Thu, Apr 14, 2011 at 7:01 AM, Stephen Rothwell <[email-masked]> wrote:
> >>>> Hi all,
> >>>>
> >>>> Changes since 20110413:
> >>>>
> >>>> Dropped tree: xen
> >>>>
> >>>> The gfs2 tree lost its conflict.
> >>>>
> >>>> The net tree lost its build failure.
> >>>>
> >>>> The wireless tree lost all but one conflict.
> >>>>
> >>>> The trivial tree lost its conflict.
> >>>>
> >>>> The tip tree gained a conflict against Linus' tree.
> >>>>
> >>>> The usb tree gained a conflict against the s5p tree.
> >>>>
> >>>> The staging tree lost its conflicts.
> >>>>
> >>>> ----------------------------------------------------------------------------
> >>>
> >>> Just a quick hello and an attached dmesg.
> >>> Yesterday's linux-next (next-20110413) with same kernel-config was OK.
> >>>
> >>> ( Also, I have seen a section-mismatch in x86 (IIRC mm) missing
> >>> __init... but that's another story. )
> >>>
> >>> - Sedat -
> >>>
> >>> P.S.: diff between today's and yesterday's kernel-config
> >>>
> >>> $ diff -uprN /boot/config-2.6.39-rc3-next20110413.2-686-small
> >>> /boot/config-2.6.39-rc3-next20110414.2-686-small
> >>> --- /boot/config-2.6.39-rc3-next20110413.2-686-small    2011-04-13
> >>> 12:32:09.000000000 +0200
> >>> +++ /boot/config-2.6.39-rc3-next20110414.2-686-small    2011-04-14
> >>> 10:23:25.000000000 +0200
> >>> @@ -1,7 +1,7 @@
> >>>  #
> >>>  # Automatically generated make config: don't edit
> >>>  # Linux/x86 2.6.39-rc3 Kernel Configuration
> >>> -# Wed Apr 13 11:55:54 2011
> >>> +# Thu Apr 14 09:43:03 2011
> >>>  #
> >>>  # CONFIG_64BIT is not set
> >>>  CONFIG_X86_32=y
> >>> @@ -2602,6 +2602,7 @@ CONFIG_USB_UHCI_HCD=m
> >>>  #
> >>>  # Enable Host or Gadget support to see Inventra options
> >>>  #
> >>> +# CONFIG_USB_RENESAS_USBHS is not set
> >>>
> >>>  #
> >>>  # USB Device Class drivers
> >>>
> >>
> >